Package org.apache.sysds.runtime.instructions.cp

# Class CPOperand

java.lang.Object
org.apache.sysds.runtime.instructions.cp.CPOperand

public class CPOperand extends Object

## Constructor Summary

Constructors
Constructor
Description
`CPOperand()`
`CPOperand(String str)`
`CPOperand(String name, Types.ValueType vt, Types.DataType dt)`
`CPOperand(String name, Types.ValueType vt, Types.DataType dt, boolean literal)`
`CPOperand(String name, Data dat)`
`CPOperand(CPOperand variable)`
`CPOperand(ScalarObject so)`

## Method Summary

Modifier and Type
Method
Description
`Types.DataType`
`getDataType()`
`String`
`getLineageLiteral()`
`String`
`getLineageLiteral(ScalarObject so)`
`static String`
`getLineageLiteral(ScalarObject so, boolean isLiteral)`
`ScalarObject`
`getLiteral()`
`LineageItem`
`getLiteralLineageItem()`
`String`
`getName()`
`Types.ValueType`
`getValueType()`
`boolean`
`isFrame()`
`boolean`
`isList()`
`boolean`
`isLiteral()`
`boolean`
`isMatrix()`
`boolean`
`isScalar()`
`boolean`
`isTensor()`
`void`
`setLiteral(ScalarObject literal)`
`void`
`setName(String name)`
`void`
`split(String str)`
`String`
`toString()`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### CPOperand

public CPOperand()

### CPOperand

public CPOperand(String str)

### CPOperand

public CPOperand(String name, Types.ValueType vt, Types.DataType dt)

### CPOperand

public CPOperand(String name, Types.ValueType vt, Types.DataType dt, boolean literal)

### CPOperand

public CPOperand(ScalarObject so)

### CPOperand

public CPOperand(CPOperand variable)

### CPOperand

public CPOperand(String name, Data dat)

## Method Details

### getName

public String getName()

### getValueType

public Types.ValueType getValueType()

### getDataType

public Types.DataType getDataType()

### isMatrix

public boolean isMatrix()

### isFrame

public boolean isFrame()

### isTensor

public boolean isTensor()

### isList

public boolean isList()

### isScalar

public boolean isScalar()

### isLiteral

public boolean isLiteral()

### getLiteral

public ScalarObject getLiteral()

### setName

public void setName(String name)

### setLiteral

public void setLiteral(ScalarObject literal)

### split

public void split(String str)

### toString

public String toString()

Overrides:
  `toString` in class `Object`

### getLineageLiteral

public String getLineageLiteral()

### getLiteralLineageItem

public LineageItem getLiteralLineageItem()

### getLineageLiteral

public String getLineageLiteral(ScalarObject so)

### getLineageLiteral

public static String getLineageLiteral(ScalarObject so, boolean isLiteral)